Get storage quota for a virtual server (VM)

View the purchased and used storage space for a specific virtual server (VM). This is useful for monitoring disk space and understanding current purchases.

VPS Services Storage

Context

Used in the dashboard

/instance/[id]

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.attachable object required
data.attachable.availableGb integer required · Example: 0
data.attachable.purchasedGb integer required · Example: 0
data.attachable.usedGb integer required · Example: 0
data.mainDisk object required
data.mainDisk.purchasedGb integer required · Example: 50
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/storage-quota
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/storage-quota" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "attachable": {
      "purchasedGb": 0,
      "usedGb": 0,
      "availableGb": 0
    },
    "mainDisk": {
      "purchasedGb": 50
    }
  }
}